﻿@using Portal.Models.Globals;
@using System.Web.UI.WebControls;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Dock;
<table style="margin-left: 20px;" border="0">
    <tr>
        <td nowrap="nowrap">
            Supplier Code<b style="color: Red;">*</b>
        </td>
        <td colspan="3">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OSPSupplierCustomer";
                    gridLookup.Width = 150;
                    gridLookup.ShowDescription = true;
                    gridLookup.DescriptionWidth = Unit.Pixel(350);
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD;SUPP_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialSupplierLookupGridCustomer" };//"PartialHeaderSupplierLookupGridSupplierInfo" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td nowrap="nowrap">
            Category
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "CustomerCategoryGridLookupCust";
                    gridLookup.Width = Unit.Pixel(50);
                    gridLookup.ShowDescription = true;
                    gridLookup.DescriptionWidth = Unit.Pixel(140);
                    gridLookup.GridProperties.KeyFieldName = "CATEGORY_CD;CATEGORY_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialHeaderCustomerCategoryGridLookupSuppInfoCust" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "CATEGORY_CD";
                        column.FieldName = "CATEGORY_CD";
                        column.Caption = "Category Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "CATEGORY_NAME";
                        column.FieldName = "CATEGORY_NAME";
                        column.Caption = "Category<br>Name";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["CustCategoryGridLookupCus"]).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Customer Name";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color: Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtCustomerName";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 190;
                    settings.Properties.MaxLength = 50;

                }
            ).GetHtml()
        </td>
        
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Start of Supply";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            <input id="txtStartOfSupply" type="text" style="width: 200px; border: 1px solid #6a8ccb; padding: 3px"
                   maxlength="4" onkeydown="NonDecimalKey(event)" value="" />
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Share of Sales (%)";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtShareOfSales";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 190;
                    settings.Number = 0;
                    settings.Properties.MaxLength = 8;
                    settings.Properties.DecimalPlaces = 4;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 100;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtItemNoCustomer";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 10;
                    settings.ClientVisible = false;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td colspan="3"></td>
        <td style="float:right;" >
            <table>
                <tr>
                    <td width="50%" align="right">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveCustomer";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginAddNewCustomer";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNewCustomer";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNewCustomer";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
